Subject: Re: [salud] (no subject)

From: Laura Liess <[email-masked]>
Date: Tue, 2 Apr 2013 16:28:47 +0200

2013/3/29 Dale R. Worley <[email-masked]>

> >
> > The  "locale:country:<ISO 3166-1 country code> " seems to be some kind of
> > different and difficult.
> >
> > Now that we have the "private-name " stuff working fine, why not use it
> for
> > country specific tones? Instead of "urn:alert:locale:country:de:foo:bar"
> >     we would have "urn:alert:foo@de:bar".   Or is something wrong with
> it?
>
> E.g., <urn:alert:service:call-waiting@de>
>

> That is an interesting idea.  But we have a lot of apparatus regarding
> <private-name>s, so we would either need to make an exception for
> domains that contained only one label, or to designate some
> organization that is responsible for each country-TLD.
>

This was the initial idea, but we we don't have and can not designate
organizations responsible for country-TLDs.
We could require that country-specific alert URNs must be defined by some
organization or working group in this country (this is the case anyway) and
this national organisation or working group or an organisation designated
by the working group must define the country-specific alert URN using the
"private-name" mechanism and to be the owner of the <provider-id> used.

 But if we can get the format "locale:country:<ISO 3166-1 country code>" to
work properly we should stay with this format and avoid new changes. Maybe
it is just a wording problem.

>
> > From: Laura Liess <[email-masked]>
> >
> > However, in this specification we don't define or register any particular
> > national tone, we expect national companies or organisations and national
> > standardization bodies to do it. We could require anybody who defines
> > national tones to be owner of a subdomain of the respective country code
> > top level domain which he must use as <provider-id> for the tone. In many
> > cases, national tones are defined by big phone companies anyway.
>
> Fortunately, the "locale" URNs don't describe sensory aspects of
> signals but semantic ones.  So while <urn:locale:country:de> indicates
> that the signal should be rendered using German conventions, each
> device interprets those conventions separately.
>
> In practice, I don't think the "locale" URNs will get a great deal of
> use, because in many cases one UA will not know if another UA
> implements any particular "locale" URN.
>

I am not sure. The requirement for defining a lot of US-specific tones came
from Adam Roach. We didn't want to define all these tones in this
specification because we didn't have the necessary expertise but instead we
defined the urn:alert:locale:country:<ISO 3166-1 country code> mechanism.

Thank you
Laura

>
> Dale
> _______________________________________________
> salud mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/salud
>